/* dcm.h */

#include "types.h"

extern float delta_t;

void dcm_update(vec3f gyro);
void dcm_normalise(void);
bool dcm_renormalise(float *v);
void dcm_dump(void);
void dcm_send_packet(void);
void dcm_setvector(vec3f zvec);
void dcm_drift_correction(vec3f accel);
void dcm_attitude_error(vec3f target);
